ServerEvents.recipes(event => {
	//legacy data chip conversion
	/*
	event.shapeless(Item.of('kubejs:data_chip1', "{display:{Lore:['{\"text\":\"Seed: 1000\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip10'])
	event.shapeless(Item.of('kubejs:data_chip2', "{display:{Lore:['{\"text\":\"Seed: 0100\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip1'])
	event.shapeless(Item.of('kubejs:data_chip3', "{display:{Lore:['{\"text\":\"Seed: 1100\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip2'])
	event.shapeless(Item.of('kubejs:data_chip4', "{display:{Lore:['{\"text\":\"Seed: 0010\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip3'])
	event.shapeless(Item.of('kubejs:data_chip5', "{display:{Lore:['{\"text\":\"Seed: 1010\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip4'])
	event.shapeless(Item.of('kubejs:data_chip6', "{display:{Lore:['{\"text\":\"Seed: 0110\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip5'])
	event.shapeless(Item.of('kubejs:data_chip7', "{display:{Lore:['{\"text\":\"Seed: 1110\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip6'])
	event.shapeless(Item.of('kubejs:data_chip8', "{display:{Lore:['{\"text\":\"Seed: 0001\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip7'])
	event.shapeless(Item.of('kubejs:data_chip9', "{display:{Lore:['{\"text\":\"Seed: 1001\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip8'])
	event.shapeless(Item.of('kubejs:data_chip10', "{display:{Lore:['{\"text\":\"Seed: 0101\",\"color\":\"aqua\",\"bold\":true,\"italic\":false}']}}"), ['kubejs:data_chip9'])
	*/
	event.recipes.create.splashing([Item.of('kubejs:data_chip_error', "{display:{Lore:['{\"text\":\"Error: 404\",\"color\":\"red\",\"italic\":false,\"obfuscated\":true}']}}")], '#kubejs:basic_data_chip').id("backrooms:corrupting_data_chip")
	event.recipes.create.splashing([Item.of('kubejs:data_chip_infinity_error', "{display:{Lore:['{\"text\":\"Error: 50010\",\"color\":\"red\",\"italic\":false,\"obfuscated\":true}']}}")], 'kubejs:data_chip_infinity').id("backrooms:corrupting_modified_data_chip")

	//Chip Inscribing
	let inscribe = (top, bottom, result, seed) => {
		event.custom({
			type: "ae2:inscriber",
			ingredients: {
				top: { item: top },
				middle: { tag: "kubejs:inscribable_data_chip" },
				bottom: { item: bottom }
			},
			mode: "inscribe",
			result: {
				item: result,
				nbt: {display: {Lore: [`{"text":"Seed: ${seed}","color":"aqua","bold":true,"italic":false}`]}}
			}
		})
	}
	inscribe("minecraft:stone", "minecraft:coal_block", "kubejs:data_chip1", "1000") //coal from pyrolyzer, aka immediately
	inscribe("supplementaries:clock_block", "refurbished_furniture:oak_chair", "kubejs:data_chip2", "0100") //reworked, formerly crimson forest
	inscribe("minecraft:deepslate", "minecraft:diamond_block", "kubejs:data_chip3", "1100") //lots of diamonds... technically immediately
	inscribe("minecraft:grass_block", "minecraft:milk_bucket", "kubejs:data_chip4", "0010") //cant make until after error chip
	inscribe("minecraft:deepslate", "mekanism:block_osmium", "kubejs:data_chip5", "1010") //post osmium chip 3
	inscribe("minecraft:ancient_debris", "create:blaze_burner", "kubejs:data_chip6", "0110") //debris from error chip
	inscribe("minecraft:chiseled_sandstone", "minecraft:emerald_block", "kubejs:data_chip7", "1110") //post cave chip 1
	inscribe("minecraft:obsidian", "ae2:fluix_pearl", "kubejs:data_chip8", "0001") //can be made immediately
	inscribe("minecraft:spruce_planks", "kubejs:ai", "kubejs:data_chip9", "1001") //post ai
	inscribe("minecraft:crying_obsidian", "minecraft:gold_block", "kubejs:data_chip10", "0101") //crying from error chip
	inscribe("kubejs:pool_tiles_golden_fake", "minecraft:water_bucket", "kubejs:data_chip11", "0011") //reworked, formerly skyblock
	inscribe("minecraft:brain_coral_block", "minecraft:kelp", "kubejs:data_chip12", "1011") //from fishing and exploring
	inscribe("kubejs:wallpaper_fake", "kubejs:sculk_clump", "kubejs:data_chip13", "1101") //immediately
	inscribe("minecraft:bookshelf", "supplementaries:globe", "kubejs:data_chip14", "0111") //in case you used your first eye, or found that library room
	inscribe("botania:elf_quartz", "endrem:magical_eye", "kubejs:data_chip15", "1111") //post elven portal
	//inscribe("minecraft:grass_block", "minecraft:oak_sapling", "kubejs:data_chip16", "2011") //immediately
	//inscribe("minecraft:nether_wart_block", "minecraft:quartz", "kubejs:data_chip2", "0100") //found in library or atomic reconstructor, aka immediately

	//Frame
	event.shaped('16x kubejs:reality_frame', [
		'AAA',
		'CBC',
		'AAA'
	], {
		A: 'kubejs:reality_alloy',
		B: 'ae2:spatial_pylon',
		C: 'ae2:fluix_glass_cable'
	}).id("backrooms:reality_frames")

	event.shaped('kubejs:reality_controller', [
		'AEA',
		'BCB',
		'ADA'
	], {
		A: 'kubejs:reality_alloy',
		B: 'immersiveengineering:component_electronic_adv',
		C: 'ae2:semi_dark_monitor',
		D: 'ae2:controller',
		E: 'ae2:spatial_cell_component_16'
	}).id("backrooms:reality_controller")

	event.shaped('kubejs:reality_charge_empty', [
		'A A',
		' B ',
		'A A'
	], {
		A: 'kubejs:reality_alloy',
		B: 'create:fluid_tank'
	}).id("backrooms:reality_charge_empty")

	event.shaped(Item.of('kubejs:data_chip_blank', "{display:{Lore:['{\"text\":\"Seed: 0000\",\"color\":\"gray\",\"bold\":true,\"italic\":false}']}}"), [
		'   ',
		'ABC',
		'   '
	], {
		A: 'immersiveengineering:component_electronic_adv',
		B: 'ae2:memory_card',
		C: 'ae2:spatial_cell_component_2'
	}).id("backrooms:data_chip_blank")

	event.shaped(Item.of('kubejs:data_chip_infinity', "{display:{Lore:['{\"text\":\"Seed: 888888\",\"color\":\"light_purple\",\"bold\":true,\"italic\":false}']}}"), [
		'ABC',
		'FDE',
		'   '
	], {
		A: 'kubejs:overclocked_clock',
		B: 'kubejs:data_chip_blank',
		C: 'ae2:singularity',
		D: 'immersiveengineering:wirecoil_redstone',
		E: 'immersiveengineering:wirecutter',
		F: 'mekanism:ingot_refined_obsidian'
	}).id("backrooms:data_chip_infinity")

})